Subject: IAB appoints Eliot Lear as Independent Submission Editor (ISE)

From: IAB Executive Administrative Manager <[email-masked]>
Date: Mon, 14 Feb 2022 12:10:40 -0800

Back in October, Adrian Farrel announced his plans to step down as the 
Independent Submission Editor (ISE). Over the past four years, Adrian 
has been a real asset to our community in this role, and the Internet 
Architecture Board thanks him for his service. 

After a public search, the IAB is pleased to announce the appointment of 
Eliot Lear as Independent Submission Editor (ISE) for a two-year term.

The IAB was fortunate to have a strong pool of candidates to choose 
from. The IAB would like to thank everyone who put their name forward as 
a candidate for this position, as well as those who provided feedback 
during this process.